Package net.sf.saxon.option.local

## Class Numberer_tr

- java.lang.Object
- - net.sf.saxon.expr.number.AbstractNumberer
  - - net.sf.saxon.option.local.Numberer_tr

- All Implemented Interfaces:
    `Numberer`

      public class Numberer_tr
      extends AbstractNumberer

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Numberer_tr()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `camelBump​(java.lang.String string)` |
    `java.lang.String` | `dayName​(int gun, int min, int max)` | Get a day name or abbreviation
    `java.lang.String` | `formatWord​(java.lang.String word, int formatIdx)` |
    `static void` | `main​(java.lang.String[] args)` |
    `java.lang.String` | `monthName​(int ay, int min, int max)` | Get a month name or abbreviation
    `java.lang.String` | `numberer​(long number, int format)` |
    `java.lang.String` | `toOrdinalWords​(java.lang.String string, long l, int format)` | Show an ordinal number as English words in a requested case (for example, Twentyfirst)
    `java.lang.String` | `toWords​(long l)` | Show the number as words in title case.
    `java.lang.String` | `toWords​(long l, int format)` | Format a number as English words with specified case options

    - ### Methods inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `alphaDefault, convertDigitSystem, defaultedLocale, format, format, getCalendarName, getCountry, getEraName, getLanguage, getOrdinalSuffixForDateTime, halfDayName, ordinalSuffix, setCountry, setLanguage, toAlpha, toAlphaSequence, toJapanese, toRoman, zero`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Numberer_tr

          public Numberer_tr()

  - ### Method Detail

    - #### formatWord

          public java.lang.String formatWord​(java.lang.String word,
                                             int formatIdx)

    - #### numberer

          public java.lang.String numberer​(long number,
                                           int format)

    - #### toWords

          public java.lang.String toWords​(long l)

      Description copied from class: `AbstractNumberer`
      Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).
      Specified by:
        `toWords` in class `AbstractNumberer`
      Parameters:
        `l` - the number to be formatted
      Returns:
        the number formatted as English words

    - #### toWords

          public java.lang.String toWords​(long l,
                                          int format)

      Description copied from class: `AbstractNumberer`
      Format a number as English words with specified case options
      Overrides:
        `toWords` in class `AbstractNumberer`
      Parameters:
        `l` - the number to be formatted
        `format` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
      Returns:
        the formatted number

    - #### toOrdinalWords

          public java.lang.String toOrdinalWords​(java.lang.String string,
                                                 long l,
                                                 int format)

      Description copied from class: `AbstractNumberer`
      Show an ordinal number as English words in a requested case (for example, Twentyfirst)
      Specified by:
        `toOrdinalWords` in class `AbstractNumberer`
      Parameters:
        `string` - the value of the "ordinal" attribute as supplied by the user
        `l` - the number to be formatted
        `format` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
      Returns:
        the formatted number

    - #### monthName

          public java.lang.String monthName​(int ay,
                                            int min,
                                            int max)

      Description copied from class: `AbstractNumberer`
      Get a month name or abbreviation
      Specified by:
        `monthName` in interface `Numberer`
      Specified by:
        `monthName` in class `AbstractNumberer`
      Parameters:
        `ay` - The month number (1=January, 12=December)
        `min` - The minimum number of characters
        `max` - The maximum number of characters
      Returns:
        the month name or abbreviation as a string (for example, "September" or "Sep")

    - #### dayName

          public java.lang.String dayName​(int gun,
                                          int min,
                                          int max)

      Description copied from class: `AbstractNumberer`
      Get a day name or abbreviation
      Specified by:
        `dayName` in interface `Numberer`
      Specified by:
        `dayName` in class `AbstractNumberer`
      Parameters:
        `gun` - The day of the week (1=Monday, 7=Sunday)
        `min` - The minimum number of characters
        `max` - The maximum number of characters
      Returns:
        the day name or abbreviation as a string (for example, "Monday" or "Mon")

    - #### camelBump

          public java.lang.String camelBump​(java.lang.String string)

    - #### main

          public static void main​(java.lang.String[] args)